CLAHE (OpenCV 3.4.2 Java documentation)
Date: 2019-04-14

org.opencv.imgproc

## Class CLAHE

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.imgproc.CLAHE

-     public class CLAHE
      extends Algorithm

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `CLAHE(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CLAHE` | `__fromPtr__(long addr)`
    `void` | `apply(Mat src, Mat dst)`
    `void` | `collectGarbage()`
    `protected void` | `finalize()`
    `double` | `getClipLimit()`
    `Size` | `getTilesGridSize()`
    `void` | `setClipLimit(double clipLimit)`
    `void` | `setTilesGridSize(Size tileGridSize)`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CLAHE

          protected CLAHE(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static CLAHE __fromPtr__(long addr)

    - #### getTilesGridSize

          public Size getTilesGridSize()

    - #### getClipLimit

          public double getClipLimit()

    - #### apply

          public void apply(Mat src,
                            Mat dst)

    - #### collectGarbage

          public void collectGarbage()

    - #### setClipLimit

          public void setClipLimit(double clipLimit)

    - #### setTilesGridSize

          public void setTilesGridSize(Size tileGridSize)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `Algorithm`
      Throws:
        `java.lang.Throwable`

Generated on Sun Apr 14 2019 09:17:32 MDT / OpenCV unknown